<?php
header('Content-Type: application/json');

$ruta = "../";
require_once "../class/c_login.php";

// check if the session is started
if (!isset($_SESSION['user']))
    die(json_encode(['error' => 'No se ha iniciado sesión']));

$user = unserialize($_SESSION['user']);

$ruta = "../";
require_once "../include/bd_pdo.php";
$facultad_id = $user->facultad['facultad_id'];
$materias = $db->query(<<<SQL
    SELECT materia_id, materia_nombre, clave_materia, materia.carrera_id
    FROM materia
    JOIN carrera USING (carrera_id)
    JOIN facultad USING (facultad_id)
    WHERE
        (facultad_id = :facultad_id OR :facultad_id IS NULL)
    ORDER BY carrera_nombre DESC
    SQL,
    array('facultad_id' => $facultad_id)
);

// $user->print_to_log("Crea carrera", old: $_POST);

die(json_encode($materias));